package com.ym.mec.education.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * <p>
 * 老师默认乐团薪酬表
 * </p>
 *
 * @author lemeng
 * @since 2019-09-25
 */
@TableName("teacher_default_music_group_salary")
public class TeacherDefaultMusicGroupSalary extends Model<TeacherDefaultMusicGroupSalary> {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id_", type = IdType.AUTO)
    private Long id;
    @TableField("user_id_")
    private Integer userId;
    /**
     * 班级类型（参照 class_group表的type_字段）
     */
    @TableField("class_group_type_")
    private String classGroupType;
    /**
     * 主教薪酬
     */
    @TableField("main_teacher_salary_")
    private BigDecimal mainTeacherSalary;
    /**
     * 助教薪酬
     */
    @TableField("assistant_teacher_salary_")
    private BigDecimal assistantTeacherSalary;
    @TableField("create_time_")
    private Date createTime;
    @TableField("update_time_")
    private Date updateTime;


    public Long getId() {
        return id;
    }

    public TeacherDefaultMusicGroupSalary setId(Long id) {
        this.id = id;
        return this;
    }

    public Integer getUserId() {
        return userId;
    }

    public TeacherDefaultMusicGroupSalary setUserId(Integer userId) {
        this.userId = userId;
        return this;
    }

    public String getClassGroupType() {
        return classGroupType;
    }

    public TeacherDefaultMusicGroupSalary setClassGroupType(String classGroupType) {
        this.classGroupType = classGroupType;
        return this;
    }

    public BigDecimal getMainTeacherSalary() {
        return mainTeacherSalary;
    }

    public TeacherDefaultMusicGroupSalary setMainTeacherSalary(BigDecimal mainTeacherSalary) {
        this.mainTeacherSalary = mainTeacherSalary;
        return this;
    }

    public BigDecimal getAssistantTeacherSalary() {
        return assistantTeacherSalary;
    }

    public TeacherDefaultMusicGroupSalary setAssistantTeacherSalary(BigDecimal assistantTeacherSalary) {
        this.assistantTeacherSalary = assistantTeacherSalary;
        return this;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public TeacherDefaultMusicGroupSalary setCreateTime(Date createTime) {
        this.createTime = createTime;
        return this;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public TeacherDefaultMusicGroupSalary setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
        return this;
    }

    @Override
    protected Serializable pkVal() {
        return this.id;
    }

    @Override
    public String toString() {
        return "TeacherDefaultMusicGroupSalary{" +
        ", id=" + id +
        ", userId=" + userId +
        ", classGroupType=" + classGroupType +
        ", mainTeacherSalary=" + mainTeacherSalary +
        ", assistantTeacherSalary=" + assistantTeacherSalary +
        ", createTime=" + createTime +
        ", updateTime=" + updateTime +
        "}";
    }
}
